summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-06-24 12:28:26 +0200
committerRemi Collet <remi@remirepo.net>2020-06-24 12:28:26 +0200
commitad5fafed6803260b8e89d072c490b04c7dcf7dfe (patch)
tree06cf6062d73fe07fca17c40a45657330a89a5ffc
parentdca074e05cca94b42663a0204e1e58490262db15 (diff)
update to 0.12.2HEADmaster
add dependency on psr/container
-rw-r--r--composer.json1
-rw-r--r--phinx-autoload.php1
-rw-r--r--phinx.spec13
3 files changed, 13 insertions, 2 deletions
diff --git a/composer.json b/composer.json
index 88fde42..cd871df 100644
--- a/composer.json
+++ b/composer.json
@@ -28,6 +28,7 @@
"php": ">=7.2",
"cakephp/collection": "^4.0",
"cakephp/database": "^4.0",
+ "psr/container": "^1.0",
"symfony/console": "^3.4|^4.0|^5.0",
"symfony/config": "^3.4|^4.0|^5.0"
},
diff --git a/phinx-autoload.php b/phinx-autoload.php
index f46128b..2d0ae77 100644
--- a/phinx-autoload.php
+++ b/phinx-autoload.php
@@ -7,6 +7,7 @@ require_once '/usr/share/php/Fedora/Autoloader/autoload.php';
\Fedora\Autoloader\Dependencies::required(array(
'/usr/share/php/Cake4/Collection/autoload.php',
'/usr/share/php/Cake4/Database/autoload.php',
+ '/usr/share/php/Psr/Container/autoload.php',
[
'/usr/share/php/Symfony5/Component/Console/autoload.php',
'/usr/share/php/Symfony4/Component/Console/autoload.php',
diff --git a/phinx.spec b/phinx.spec
index e011e5a..aa2e58d 100644
--- a/phinx.spec
+++ b/phinx.spec
@@ -10,7 +10,7 @@
# For compatibility with SCL
%undefine __brp_mangle_shebangs
-%global gh_commit 94d0b78f68bfb20aac4c59b0b3ff49956803fc70
+%global gh_commit e8ac453951797408275b46a7fa4489dd63a93a67
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner robmorgan
#global gh_date 20150820
@@ -19,7 +19,7 @@
%global with_tests 0%{!?_without_tests:1}
Name: %{gh_project}
-Version: 0.12.1
+Version: 0.12.2
Release: 1%{?gh_date?%{gh_date}git%{gh_short}}%{?dist}
Summary: Manage the database migrations for your PHP app
@@ -38,12 +38,14 @@ BuildRequires: php(language) >= 7.2
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(cakephp/collection) >= 4.0 with php-composer(cakephp/collection) < 5)
BuildRequires: (php-composer(cakephp/database) >= 4.0 with php-composer(cakephp/database) < 5)
+BuildRequires: (php-composer(psr/container) >= 1.0 with php-composer(psr/container) < 2)
BuildRequires: (php-composer(symfony/console) >= 3.4 with php-composer(symfony/console) < 6)
BuildRequires: (php-composer(symfony/config) >= 3.4 with php-composer(symfony/config) < 6)
BuildRequires: (php-composer(symfony/yaml) >= 3.4 with php-composer(symfony/yaml) < 6)
%else
BuildRequires: php-cakephp4-collection
BuildRequires: php-cakephp4-database
+BuildRequires: php-psr-container
BuildRequires: php-symfony3-console >= 3.4
BuildRequires: php-symfony3-config >= 3.4
BuildRequires: php-symfony3-yaml >= 3.4
@@ -70,6 +72,7 @@ BuildRequires: php-composer(fedora/autoloader)
# "php": ">=7.2",
# "cakephp/collection": "^4.0",
# "cakephp/database": "^4.0",
+# "psr/container": "^1.0",
# "symfony/console": "^3.4|^4.0|^5.0",
# "symfony/config": "^3.4|^4.0|^5.0"
# From composer.json, "suggest": {
@@ -80,12 +83,14 @@ Requires: php(language) >= 7.2
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires: (php-composer(cakephp/collection) >= 4.0 with php-composer(cakephp/collection) < 5)
Requires: (php-composer(cakephp/database) >= 4.0 with php-composer(cakephp/database) < 5)
+Requires: (php-composer(psr/container) >= 1.0 with php-composer(psr/container) < 2)
Requires: (php-composer(symfony/console) >= 3.4 with php-composer(symfony/console) < 6)
Requires: (php-composer(symfony/config) >= 3.4 with php-composer(symfony/config) < 6)
Requires: (php-composer(symfony/yaml) >= 3.4 with php-composer(symfony/yaml) < 6)
%else
Requires: php-cakephp4-collection
Requires: php-cakephp4-database
+Requires: php-psr-container
Requires: php-symfony3-console >= 3.4
Requires: php-symfony3-config >= 3.4
Requires: php-symfony3-yaml >= 3.4
@@ -195,6 +200,10 @@ exit $ret
%changelog
+* Wed Jun 24 2020 Remi Collet <remi@remirepo.net> - 0.12.2-1
+- update to 0.12.2
+- add dependency on psr/container
+
* Mon Apr 13 2020 Remi Collet <remi@remirepo.net> - 0.12.1-1
- update to 0.12.1